Package org.pentaho.reporting.libraries.formula

## Class Formula

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.Formula

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class Formula
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Creation-Date: 31.10.2006, 14:43:05
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Formula​(java.lang.String formulaText)` |
    `Formula​(LValue rootReference)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` |
    `java.lang.Object` | `evaluate()` |
    `TypeValuePair` | `evaluateTyped()` |
    `LValue` | `getRootReference()` | Returns the root reference for this formula.
    `void` | `initialize​(FormulaContext context)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Formula

          public Formula​(java.lang.String formulaText)
                  throws ParseException

      Throws:
        `ParseException`

    - #### Formula

          public Formula​(LValue rootReference)

  - ### Method Detail

    - #### initialize

          public void initialize​(FormulaContext context)
                          throws EvaluationException

      Throws:
        `EvaluationException`

    - #### getRootReference

          public LValue getRootReference()

      Returns the root reference for this formula. This allows external programms to modify the formula directly.
      Returns:

    - #### evaluateTyped

          public TypeValuePair evaluateTyped()

    - #### evaluate

          public java.lang.Object evaluate()

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`